
QGIS Application - Bug report #18315

Select by location: selection in the wrong layer

2018-03-02 02:31 PM - Etienne MORO

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.17 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26205

Description

I have a project containing 2 different layers with similar names ('Communes-shp' and 'Communes par population') and the same source

file for the 2 layers (communes-shp.shp). I try a select by location on the 'Communes-shp' layer where the features contain 'Chef-lieu'

layer (a third layer). The result is not a selection in the 'Communes-shp' layer but the selection is done in the 'Communes par population'

layer.

You'll find attached my project with the shp files to test the problem.

History

#1 - 2018-03-02 09:40 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.0

#2 - 2018-03-05 09:32 AM - Etienne MORO

In QGIS 3.00, there's no problem the result is in the correct layer.

#3 - 2018-03-06 11:42 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#4 - 2018-03-27 09:29 AM - Etienne MORO

- Status changed from Closed to Reopened

I've just tested with 2.18.18, and there's still the same problem. I thought it was corrected, but it seems not.

#5 - 2018-05-16 02:46 PM - Alexander Bruy

- Status changed from Reopened to Closed

It was fixed in master which has all necessary code changes to make it work.

Files
Select by location.zip 58.1 KB 2018-03-02 Etienne MORO
